# GetHeaders(string)

Method in [YarnProject](/2.3/api/csharp/yarn.unity/yarn.unity.yarnproject.md)

## Summary

Gets the headers for the requested node.

```csharp
public Dictionary<string, List<string>> GetHeaders(string nodeName)
```

## Remarks

The first time this is called, the values are extracted from [Program](/2.3/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.program.md) and cached inside `Yarn.Unity.YarnProject.nodeHeaders` . Future calls will then return the cached values.

## Parameters

| Name              | Description |
| ----------------- | ----------- |
| `string` nodeName |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.getheaders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
